Overview | Modules | Class Hierarchy | Classes | Members

# tlp::GlMainWidgetGraphicsWidget Class Reference

`#include <GlMainWidgetItem.h>`

Collaboration diagram for tlp::GlMainWidgetGraphicsWidget:

[legend]
List of all members.

## Detailed Description

Class use to render a GlMainWidget in a QGraphicsItemWidget.

Use this class if you want to add a GlMainWidget in the form of QGraphicsItemWidget

## Public Member Functions

- GlMainWidgetGraphicsWidget (GlMainWidgetGraphicsView *parent, GlMainWidget *glMainWidget, int width, int height, QGraphicsItem *=NULL, Qt::WindowFlags flags=Qt::Widget)
    Main constructor.
- void resizeEvent (QGraphicsSceneResizeEvent *event)
- GlMainWidgetItem * getGlMainWidgetItem ()

## Protected Attributes

- GlMainWidgetGraphicsView * parent
- GlMainWidgetItem glMainWidgetItem

## Constructor & Destructor Documentation

tlp::GlMainWidgetGraphicsWidget::GlMainWidgetGraphicsWidget | ( | GlMainWidgetGraphicsView * | parent,
|  | GlMainWidget * | glMainWidget,
|  | int | width,
|  | int | height,
|  | QGraphicsItem * | = `NULL`,
|  | Qt::WindowFlags | flags = `Qt::Widget`
| ) | `[inline]`

Main constructor.

Parameters:

  | parent | GraphicsView parent class
  | glMainWidgte | glMainWidget use by this item
  | width | size on scene
  | height | size of scene
  | parentItem | use this if you want to construct this item with a parent item

## Member Function Documentation

GlMainWidgetItem* tlp::GlMainWidgetGraphicsWidget::getGlMainWidgetItem | ( |  | ) | `[inline]`

| Return the GlMainWidgetItem use

void tlp::GlMainWidgetGraphicsWidget::resizeEvent | ( | QGraphicsSceneResizeEvent * | event | ) | `[inline]`

| This fuction is use when the size of the widget modified Change size of the GlMainWidgetItem

## Member Data Documentation

GlMainWidgetItem tlp::GlMainWidgetGraphicsWidget::glMainWidgetItem `[protected]`

GlMainWidgetGraphicsView* tlp::GlMainWidgetGraphicsWidget::parent `[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2010